.articles__list {
  padding-top: 4rem;
  margin-top: 4rem;
  border-top: 1px solid #f3f3f3;
  gap: 50px;
}

.articles__item {
  border: 1px solid #f3f3f3;
  border-radius: 24px;
  box-shadow: 0 10px 15px -3px rgba(100, 100, 100, 0.1);
}

.articles__item:nth-child(2n) {
  flex-direction: row-reverse;
}

.articles__content .btn {
  width: fit-content;
}

.articles__desc {
  display: -webkit-box;
  -webkit-line-clamp: 4; /* 4 rows only */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.articles__img {
  width: 50%;
  height: auto;
  border-radius: inherit;
  overflow: hidden;
  flex-shrink: 0;
}

.articles__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.articels__title {
  font-weight: 700;
  color: var(--color-text-black);
}

@media (max-width: 767.5px) {
  .articles__item,
  .articles__item:nth-child(2n) {
    flex-direction: column;
  }
  
  .articles__img {
  width: 100%;
}
}
